/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getAdminHostList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillAdminHostList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillAdminHostList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/AdminHost", SGE_ADMINHOST_LIST, AH_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addAdminHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/AdminHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addAdminHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addAdminHost");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/AdminHost", SGE_ADMINHOST_LIST, AH_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteAdminHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/AdminHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteAdminHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteAdminHost");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/AdminHost", SGE_ADMINHOST_LIST, AH_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateAdminHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/AdminHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateAdminHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateAdminHost");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/AdminHost", SGE_ADMINHOST_LIST, AH_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getClusterQueueList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillClusterQueueList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillClusterQueueList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/ClusterQueue", SGE_CQUEUE_LIST, CQ_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addClusterQueue
 * Signature: (Lcom/sun/grid/jgdi/configuration/ClusterQueue;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addClusterQueue(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addClusterQueue");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ClusterQueue", SGE_CQUEUE_LIST, CQ_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteClusterQueue
 * Signature: (Lcom/sun/grid/jgdi/configuration/ClusterQueue;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteClusterQueue(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteClusterQueue");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ClusterQueue", SGE_CQUEUE_LIST, CQ_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateClusterQueue
 * Signature: (Lcom/sun/grid/jgdi/configuration/ClusterQueue;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateClusterQueue(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateClusterQueue");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ClusterQueue", SGE_CQUEUE_LIST, CQ_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getUserSetList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillUserSetList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillUserSetList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/UserSet", SGE_USERSET_LIST, US_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addUserSet
 * Signature: (Lcom/sun/grid/jgdi/configuration/UserSet;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addUserSet(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addUserSet");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/UserSet", SGE_USERSET_LIST, US_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteUserSet
 * Signature: (Lcom/sun/grid/jgdi/configuration/UserSet;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteUserSet(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteUserSet");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/UserSet", SGE_USERSET_LIST, US_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateUserSet
 * Signature: (Lcom/sun/grid/jgdi/configuration/UserSet;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateUserSet(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateUserSet");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/UserSet", SGE_USERSET_LIST, US_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getManagerList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillManagerList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillManagerList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/Manager", SGE_MANAGER_LIST, MO_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addManager
 * Signature: (Lcom/sun/grid/jgdi/configuration/Manager;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addManager(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addManager");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Manager", SGE_MANAGER_LIST, MO_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteManager
 * Signature: (Lcom/sun/grid/jgdi/configuration/Manager;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteManager(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteManager");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Manager", SGE_MANAGER_LIST, MO_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateManager
 * Signature: (Lcom/sun/grid/jgdi/configuration/Manager;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateManager(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateManager");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Manager", SGE_MANAGER_LIST, MO_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getSubmitHostList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillSubmitHostList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillSubmitHostList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/SubmitHost", SGE_SUBMITHOST_LIST, SH_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addSubmitHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/SubmitHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addSubmitHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addSubmitHost");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/SubmitHost", SGE_SUBMITHOST_LIST, SH_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteSubmitHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/SubmitHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteSubmitHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteSubmitHost");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/SubmitHost", SGE_SUBMITHOST_LIST, SH_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateSubmitHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/SubmitHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateSubmitHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateSubmitHost");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/SubmitHost", SGE_SUBMITHOST_LIST, SH_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getCheckpointList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillCheckpointList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillCheckpointList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/Checkpoint", SGE_CKPT_LIST, CK_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addCheckpoint
 * Signature: (Lcom/sun/grid/jgdi/configuration/Checkpoint;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addCheckpoint(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addCheckpoint");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Checkpoint", SGE_CKPT_LIST, CK_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteCheckpoint
 * Signature: (Lcom/sun/grid/jgdi/configuration/Checkpoint;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteCheckpoint(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteCheckpoint");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Checkpoint", SGE_CKPT_LIST, CK_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateCheckpoint
 * Signature: (Lcom/sun/grid/jgdi/configuration/Checkpoint;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateCheckpoint(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateCheckpoint");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Checkpoint", SGE_CKPT_LIST, CK_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getExecHostList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillExecHostList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillExecHostList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/ExecHost", SGE_EXECHOST_LIST, EH_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addExecHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/ExecHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addExecHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addExecHost");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ExecHost", SGE_EXECHOST_LIST, EH_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteExecHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/ExecHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteExecHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteExecHost");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ExecHost", SGE_EXECHOST_LIST, EH_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateExecHost
 * Signature: (Lcom/sun/grid/jgdi/configuration/ExecHost;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateExecHost(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateExecHost");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ExecHost", SGE_EXECHOST_LIST, EH_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getJobList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillJobList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillJobList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/Job", SGE_JOB_LIST, JB_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addJob
 * Signature: (Lcom/sun/grid/jgdi/configuration/Job;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addJob(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addJob");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Job", SGE_JOB_LIST, JB_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteJob
 * Signature: (Lcom/sun/grid/jgdi/configuration/Job;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteJob(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteJob");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Job", SGE_JOB_LIST, JB_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateJob
 * Signature: (Lcom/sun/grid/jgdi/configuration/Job;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateJob(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateJob");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Job", SGE_JOB_LIST, JB_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getCalendarList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillCalendarList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillCalendarList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/Calendar", SGE_CALENDAR_LIST, CAL_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addCalendar
 * Signature: (Lcom/sun/grid/jgdi/configuration/Calendar;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addCalendar(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addCalendar");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Calendar", SGE_CALENDAR_LIST, CAL_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteCalendar
 * Signature: (Lcom/sun/grid/jgdi/configuration/Calendar;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteCalendar(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteCalendar");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Calendar", SGE_CALENDAR_LIST, CAL_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateCalendar
 * Signature: (Lcom/sun/grid/jgdi/configuration/Calendar;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateCalendar(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateCalendar");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Calendar", SGE_CALENDAR_LIST, CAL_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getHostgroupList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillHostgroupList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillHostgroupList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/Hostgroup", SGE_HGROUP_LIST, HGRP_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addHostgroup
 * Signature: (Lcom/sun/grid/jgdi/configuration/Hostgroup;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addHostgroup(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addHostgroup");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Hostgroup", SGE_HGROUP_LIST, HGRP_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteHostgroup
 * Signature: (Lcom/sun/grid/jgdi/configuration/Hostgroup;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteHostgroup(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteHostgroup");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Hostgroup", SGE_HGROUP_LIST, HGRP_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateHostgroup
 * Signature: (Lcom/sun/grid/jgdi/configuration/Hostgroup;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateHostgroup(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateHostgroup");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Hostgroup", SGE_HGROUP_LIST, HGRP_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getEventClientList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillEventClientList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillEventClientList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/EventClient", SGE_EVENT_LIST, EV_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addEventClient
 * Signature: (Lcom/sun/grid/jgdi/configuration/EventClient;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addEventClient(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addEventClient");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/EventClient", SGE_EVENT_LIST, EV_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteEventClient
 * Signature: (Lcom/sun/grid/jgdi/configuration/EventClient;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteEventClient(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteEventClient");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/EventClient", SGE_EVENT_LIST, EV_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateEventClient
 * Signature: (Lcom/sun/grid/jgdi/configuration/EventClient;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateEventClient(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateEventClient");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/EventClient", SGE_EVENT_LIST, EV_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getComplexEntryList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillComplexEntryList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillComplexEntryList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/ComplexEntry", SGE_CENTRY_LIST, CE_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addComplexEntry
 * Signature: (Lcom/sun/grid/jgdi/configuration/ComplexEntry;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addComplexEntry(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addComplexEntry");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ComplexEntry", SGE_CENTRY_LIST, CE_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteComplexEntry
 * Signature: (Lcom/sun/grid/jgdi/configuration/ComplexEntry;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteComplexEntry(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteComplexEntry");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ComplexEntry", SGE_CENTRY_LIST, CE_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateComplexEntry
 * Signature: (Lcom/sun/grid/jgdi/configuration/ComplexEntry;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateComplexEntry(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateComplexEntry");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ComplexEntry", SGE_CENTRY_LIST, CE_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getShareTreeList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillShareTreeList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillShareTreeList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/ShareTree", SGE_SHARETREE_LIST, STN_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addShareTree
 * Signature: (Lcom/sun/grid/jgdi/configuration/ShareTree;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addShareTree(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addShareTree");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ShareTree", SGE_SHARETREE_LIST, STN_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteShareTree
 * Signature: (Lcom/sun/grid/jgdi/configuration/ShareTree;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteShareTree(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteShareTree");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ShareTree", SGE_SHARETREE_LIST, STN_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateShareTree
 * Signature: (Lcom/sun/grid/jgdi/configuration/ShareTree;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateShareTree(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateShareTree");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ShareTree", SGE_SHARETREE_LIST, STN_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getConfigurationList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillConfigurationList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillConfigurationList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/Configuration", SGE_CONFIG_LIST, CONF_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addConfiguration
 * Signature: (Lcom/sun/grid/jgdi/configuration/Configuration;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addConfiguration(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addConfiguration");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Configuration", SGE_CONFIG_LIST, CONF_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteConfiguration
 * Signature: (Lcom/sun/grid/jgdi/configuration/Configuration;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteConfiguration(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteConfiguration");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Configuration", SGE_CONFIG_LIST, CONF_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateConfiguration
 * Signature: (Lcom/sun/grid/jgdi/configuration/Configuration;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateConfiguration(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateConfiguration");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Configuration", SGE_CONFIG_LIST, CONF_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getParallelEnvironmentList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillParallelEnvironmentList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillParallelEnvironmentList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/ParallelEnvironment", SGE_PE_LIST, PE_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addParallelEnvironment
 * Signature: (Lcom/sun/grid/jgdi/configuration/ParallelEnvironment;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addParallelEnvironment(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addParallelEnvironment");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ParallelEnvironment", SGE_PE_LIST, PE_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteParallelEnvironment
 * Signature: (Lcom/sun/grid/jgdi/configuration/ParallelEnvironment;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteParallelEnvironment(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteParallelEnvironment");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ParallelEnvironment", SGE_PE_LIST, PE_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateParallelEnvironment
 * Signature: (Lcom/sun/grid/jgdi/configuration/ParallelEnvironment;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateParallelEnvironment(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateParallelEnvironment");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ParallelEnvironment", SGE_PE_LIST, PE_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getUserList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillUserList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillUserList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/User", SGE_USER_LIST, UP_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addUser
 * Signature: (Lcom/sun/grid/jgdi/configuration/User;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addUser(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addUser");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/User", SGE_USER_LIST, UP_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteUser
 * Signature: (Lcom/sun/grid/jgdi/configuration/User;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteUser(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteUser");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/User", SGE_USER_LIST, UP_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateUser
 * Signature: (Lcom/sun/grid/jgdi/configuration/User;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateUser(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateUser");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/User", SGE_USER_LIST, UP_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getResourceQuotaSetList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillResourceQuotaSetList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillResourceQuotaSetList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/ResourceQuotaSet", SGE_RQS_LIST, RQS_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addResourceQuotaSet
 * Signature: (Lcom/sun/grid/jgdi/configuration/ResourceQuotaSet;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addResourceQuotaSet(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addResourceQuotaSet");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ResourceQuotaSet", SGE_RQS_LIST, RQS_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteResourceQuotaSet
 * Signature: (Lcom/sun/grid/jgdi/configuration/ResourceQuotaSet;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteResourceQuotaSet(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteResourceQuotaSet");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ResourceQuotaSet", SGE_RQS_LIST, RQS_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateResourceQuotaSet
 * Signature: (Lcom/sun/grid/jgdi/configuration/ResourceQuotaSet;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateResourceQuotaSet(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateResourceQuotaSet");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/ResourceQuotaSet", SGE_RQS_LIST, RQS_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getJobSchedulingInfoList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillJobSchedulingInfoList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillJobSchedulingInfoList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/JobSchedulingInfo", SGE_JOB_SCHEDD_INFO_LIST, SME_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addJobSchedulingInfo
 * Signature: (Lcom/sun/grid/jgdi/configuration/JobSchedulingInfo;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addJobSchedulingInfo(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addJobSchedulingInfo");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/JobSchedulingInfo", SGE_JOB_SCHEDD_INFO_LIST, SME_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteJobSchedulingInfo
 * Signature: (Lcom/sun/grid/jgdi/configuration/JobSchedulingInfo;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteJobSchedulingInfo(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteJobSchedulingInfo");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/JobSchedulingInfo", SGE_JOB_SCHEDD_INFO_LIST, SME_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateJobSchedulingInfo
 * Signature: (Lcom/sun/grid/jgdi/configuration/JobSchedulingInfo;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateJobSchedulingInfo(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateJobSchedulingInfo");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/JobSchedulingInfo", SGE_JOB_SCHEDD_INFO_LIST, SME_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getOperatorList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillOperatorList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillOperatorList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/Operator", SGE_OPERATOR_LIST, MO_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addOperator
 * Signature: (Lcom/sun/grid/jgdi/configuration/Operator;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addOperator(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addOperator");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Operator", SGE_OPERATOR_LIST, MO_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteOperator
 * Signature: (Lcom/sun/grid/jgdi/configuration/Operator;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteOperator(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteOperator");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Operator", SGE_OPERATOR_LIST, MO_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateOperator
 * Signature: (Lcom/sun/grid/jgdi/configuration/Operator;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateOperator(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateOperator");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Operator", SGE_OPERATOR_LIST, MO_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getSchedConfList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillSchedConfList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillSchedConfList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/SchedConf", SGE_SC_LIST, SC_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addSchedConf
 * Signature: (Lcom/sun/grid/jgdi/configuration/SchedConf;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addSchedConf(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addSchedConf");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/SchedConf", SGE_SC_LIST, SC_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteSchedConf
 * Signature: (Lcom/sun/grid/jgdi/configuration/SchedConf;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteSchedConf(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteSchedConf");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/SchedConf", SGE_SC_LIST, SC_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateSchedConf
 * Signature: (Lcom/sun/grid/jgdi/configuration/SchedConf;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateSchedConf(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateSchedConf");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/SchedConf", SGE_SC_LIST, SC_Type);
   DEXIT;
}



/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "jgdi.h"

#define JGDI_DEBUG

           
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    getProjectList
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_fillProjectList(JNIEnv *env, jobject jgdi, jobject list, jobject filter) {
   
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_fillProjectList");
   jgdi_fill(env, jgdi, list, filter, "com/sun/grid/jgdi/configuration/Project", SGE_PROJECT_LIST, UP_Type);
   DEXIT;
}

/* -------------- ADD ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    addProject
 * Signature: (Lcom/sun/grid/jgdi/configuration/Project;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_addProject(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_addProject");
   jgdi_add(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Project", SGE_PROJECT_LIST, UP_Type);
   DEXIT;
}

/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    deleteProject
 * Signature: (Lcom/sun/grid/jgdi/configuration/Project;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteProject(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_deleteProject");
   jgdi_delete(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Project", SGE_PROJECT_LIST, UP_Type);
   DEXIT;
}

/* -------------- Update ------------------------------------------------------- */
/*
 * Class:     com_sun_grid_jgdi_jni_JGDIImpl
 * Method:    updateProject
 * Signature: (Lcom/sun/grid/jgdi/configuration/Project;)V
 */
JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_JGDIImpl_updateProject(JNIEnv *env, jobject jgdi, jobject jobj)
{
   DENTER(TOP_LAYER, "Java_com_sun_grid_jgdi_jni_JGDIImpl_updateProject");
   jgdi_update(env, jgdi, jobj, "com/sun/grid/jgdi/configuration/Project", SGE_PROJECT_LIST, UP_Type);
   DEXIT;
}



