/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 *
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 *
 *  Sun Microsystems Inc., March, 2001
 *
 *
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 *
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 *
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 *
 *   Copyright: 2001 by Sun Microsystems, Inc.
 *
 *   All Rights Reserved.
 *
 ************************************************************************/
/*___INFO__MARK_END__*/

/*  Generated from c_event_client.jsp
 *  !!! DO NOT EDIT THIS FILE !!!
 */

#include <ctype.h>
#include <string.h>
#include <jni.h>
#include "jgdi.h"
#include "basis_types.h"
#include "cull.h"
#include "commlib.h"
#include "sgermon.h"
#include "sge_all_listsL.h"
#include "sge_answer.h"
#include "sge_prog.h"
#include "sge_bootstrap.h"
#include "sge_gdi_ctx.h"
#include "cl_errors.h"
#include "sge_log.h"
#include "sge_error_class.h"
#include "jgdi_common.h"
#include "sge_event_client.h"
#include "jgdi_event.h"
#include "sge_mirror.h"
#include "sge_eventL.h"
#include "jgdi_wrapper.h"


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddAdminHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddAdminHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_ADMINHOST_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_ADMINHOST_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_ADMINHOST_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_ADMINHOST_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_ADMINHOST_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_ADMINHOST_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddAdminHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddAdminHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_ADMINHOST_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddAdminHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddAdminHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_ADMINHOST_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelAdminHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelAdminHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_ADMINHOST_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_ADMINHOST_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_ADMINHOST_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_ADMINHOST_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_ADMINHOST_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_ADMINHOST_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelAdminHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelAdminHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_ADMINHOST_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelAdminHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelAdminHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_ADMINHOST_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListAdminHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListAdminHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_ADMINHOST_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_ADMINHOST_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_ADMINHOST_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_ADMINHOST_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_ADMINHOST_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_ADMINHOST_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListAdminHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListAdminHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_ADMINHOST_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListAdminHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListAdminHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_ADMINHOST_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModAdminHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModAdminHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_ADMINHOST_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_ADMINHOST_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_ADMINHOST_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_ADMINHOST_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_ADMINHOST_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_ADMINHOST_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModAdminHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModAdminHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_ADMINHOST_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModAdminHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModAdminHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_ADMINHOST_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddClusterQueue(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddClusterQueue");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CQUEUE_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CQUEUE_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CQUEUE_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CQUEUE_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CQUEUE_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CQUEUE_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddClusterQueueFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddClusterQueueFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CQUEUE_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddClusterQueueFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddClusterQueueFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CQUEUE_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelClusterQueue(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelClusterQueue");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CQUEUE_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CQUEUE_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CQUEUE_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CQUEUE_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CQUEUE_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CQUEUE_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelClusterQueueFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelClusterQueueFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CQUEUE_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelClusterQueueFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelClusterQueueFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CQUEUE_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListClusterQueue(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListClusterQueue");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CQUEUE_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CQUEUE_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CQUEUE_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CQUEUE_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CQUEUE_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CQUEUE_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListClusterQueueFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListClusterQueueFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CQUEUE_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListClusterQueueFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListClusterQueueFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CQUEUE_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModClusterQueue(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModClusterQueue");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CQUEUE_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CQUEUE_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CQUEUE_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CQUEUE_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CQUEUE_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CQUEUE_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModClusterQueueFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModClusterQueueFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CQUEUE_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModClusterQueueFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModClusterQueueFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CQUEUE_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddUserSet(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddUserSet");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_USERSET_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_USERSET_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_USERSET_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_USERSET_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_USERSET_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_USERSET_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddUserSetFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddUserSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_USERSET_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddUserSetFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddUserSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_USERSET_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelUserSet(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelUserSet");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_USERSET_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_USERSET_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_USERSET_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_USERSET_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_USERSET_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_USERSET_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelUserSetFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelUserSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_USERSET_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelUserSetFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelUserSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_USERSET_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListUserSet(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListUserSet");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_USERSET_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_USERSET_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_USERSET_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_USERSET_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_USERSET_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_USERSET_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListUserSetFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListUserSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_USERSET_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListUserSetFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListUserSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_USERSET_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModUserSet(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModUserSet");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_USERSET_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_USERSET_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_USERSET_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_USERSET_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_USERSET_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_USERSET_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModUserSetFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModUserSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_USERSET_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModUserSetFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModUserSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_USERSET_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddManager(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddManager");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_MANAGER_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_MANAGER_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_MANAGER_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_MANAGER_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_MANAGER_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_MANAGER_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddManagerFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddManagerFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_MANAGER_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddManagerFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddManagerFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_MANAGER_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelManager(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelManager");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_MANAGER_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_MANAGER_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_MANAGER_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_MANAGER_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_MANAGER_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_MANAGER_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelManagerFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelManagerFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_MANAGER_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelManagerFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelManagerFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_MANAGER_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListManager(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListManager");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_MANAGER_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_MANAGER_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_MANAGER_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_MANAGER_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_MANAGER_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_MANAGER_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListManagerFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListManagerFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_MANAGER_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListManagerFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListManagerFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_MANAGER_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModManager(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModManager");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_MANAGER_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_MANAGER_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_MANAGER_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_MANAGER_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_MANAGER_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_MANAGER_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModManagerFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModManagerFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_MANAGER_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModManagerFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModManagerFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_MANAGER_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddSubmitHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddSubmitHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_SUBMITHOST_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_SUBMITHOST_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_SUBMITHOST_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_SUBMITHOST_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_SUBMITHOST_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_SUBMITHOST_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddSubmitHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddSubmitHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_SUBMITHOST_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddSubmitHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddSubmitHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_SUBMITHOST_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelSubmitHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelSubmitHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_SUBMITHOST_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_SUBMITHOST_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_SUBMITHOST_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_SUBMITHOST_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_SUBMITHOST_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_SUBMITHOST_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelSubmitHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelSubmitHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_SUBMITHOST_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelSubmitHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelSubmitHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_SUBMITHOST_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListSubmitHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListSubmitHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_SUBMITHOST_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_SUBMITHOST_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_SUBMITHOST_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_SUBMITHOST_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_SUBMITHOST_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_SUBMITHOST_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListSubmitHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListSubmitHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_SUBMITHOST_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListSubmitHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListSubmitHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_SUBMITHOST_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModSubmitHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModSubmitHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_SUBMITHOST_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_SUBMITHOST_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_SUBMITHOST_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_SUBMITHOST_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_SUBMITHOST_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_SUBMITHOST_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModSubmitHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModSubmitHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_SUBMITHOST_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModSubmitHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModSubmitHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_SUBMITHOST_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddPETask(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddPETask");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PETASK_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PETASK_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PETASK_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PETASK_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PETASK_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PETASK_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddPETaskFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddPETaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PETASK_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddPETaskFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddPETaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PETASK_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelPETask(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelPETask");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PETASK_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PETASK_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PETASK_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PETASK_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PETASK_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PETASK_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelPETaskFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelPETaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PETASK_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelPETaskFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelPETaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PETASK_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddCheckpoint(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddCheckpoint");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CKPT_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CKPT_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CKPT_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CKPT_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CKPT_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CKPT_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddCheckpointFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddCheckpointFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CKPT_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddCheckpointFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddCheckpointFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CKPT_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelCheckpoint(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelCheckpoint");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CKPT_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CKPT_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CKPT_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CKPT_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CKPT_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CKPT_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelCheckpointFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelCheckpointFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CKPT_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelCheckpointFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelCheckpointFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CKPT_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListCheckpoint(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListCheckpoint");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CKPT_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CKPT_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CKPT_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CKPT_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CKPT_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CKPT_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListCheckpointFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListCheckpointFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CKPT_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListCheckpointFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListCheckpointFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CKPT_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModCheckpoint(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModCheckpoint");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CKPT_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CKPT_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CKPT_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CKPT_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CKPT_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CKPT_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModCheckpointFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModCheckpointFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CKPT_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModCheckpointFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModCheckpointFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CKPT_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddExecHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddExecHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_EXECHOST_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_EXECHOST_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_EXECHOST_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_EXECHOST_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_EXECHOST_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_EXECHOST_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddExecHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddExecHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_EXECHOST_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddExecHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddExecHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_EXECHOST_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelExecHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelExecHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_EXECHOST_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_EXECHOST_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_EXECHOST_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_EXECHOST_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_EXECHOST_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_EXECHOST_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelExecHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelExecHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_EXECHOST_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelExecHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelExecHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_EXECHOST_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListExecHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListExecHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_EXECHOST_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_EXECHOST_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_EXECHOST_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_EXECHOST_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_EXECHOST_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_EXECHOST_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListExecHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListExecHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_EXECHOST_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListExecHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListExecHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_EXECHOST_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModExecHost(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModExecHost");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_EXECHOST_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_EXECHOST_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_EXECHOST_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_EXECHOST_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_EXECHOST_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_EXECHOST_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModExecHostFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModExecHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_EXECHOST_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModExecHostFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModExecHostFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_EXECHOST_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddJob(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddJob");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddJobFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddJobFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddJobFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddJobFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelJob(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelJob");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelJobFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelJobFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelJobFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelJobFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListJob(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListJob");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListJobFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListJobFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListJobFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListJobFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModJob(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModJob");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModJobFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModJobFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModJobFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModJobFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddJobTask(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddJobTask");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JATASK_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JATASK_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JATASK_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JATASK_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JATASK_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JATASK_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddJobTaskFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddJobTaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JATASK_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddJobTaskFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddJobTaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JATASK_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelJobTask(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelJobTask");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JATASK_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JATASK_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JATASK_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JATASK_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JATASK_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JATASK_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelJobTaskFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelJobTaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JATASK_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelJobTaskFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelJobTaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JATASK_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModJobTask(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModJobTask");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JATASK_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JATASK_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JATASK_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JATASK_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JATASK_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JATASK_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModJobTaskFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModJobTaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JATASK_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModJobTaskFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModJobTaskFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JATASK_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddCalendar(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddCalendar");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CALENDAR_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CALENDAR_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CALENDAR_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CALENDAR_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CALENDAR_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CALENDAR_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddCalendarFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddCalendarFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CALENDAR_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddCalendarFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddCalendarFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CALENDAR_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelCalendar(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelCalendar");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CALENDAR_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CALENDAR_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CALENDAR_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CALENDAR_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CALENDAR_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CALENDAR_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelCalendarFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelCalendarFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CALENDAR_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelCalendarFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelCalendarFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CALENDAR_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListCalendar(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListCalendar");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CALENDAR_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CALENDAR_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CALENDAR_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CALENDAR_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CALENDAR_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CALENDAR_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListCalendarFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListCalendarFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CALENDAR_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListCalendarFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListCalendarFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CALENDAR_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModCalendar(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModCalendar");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CALENDAR_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CALENDAR_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CALENDAR_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CALENDAR_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CALENDAR_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CALENDAR_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModCalendarFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModCalendarFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CALENDAR_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModCalendarFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModCalendarFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CALENDAR_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddHostgroup(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddHostgroup");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_HGROUP_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_HGROUP_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_HGROUP_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_HGROUP_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_HGROUP_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_HGROUP_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddHostgroupFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddHostgroupFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_HGROUP_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddHostgroupFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddHostgroupFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_HGROUP_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelHostgroup(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelHostgroup");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_HGROUP_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_HGROUP_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_HGROUP_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_HGROUP_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_HGROUP_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_HGROUP_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelHostgroupFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelHostgroupFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_HGROUP_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelHostgroupFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelHostgroupFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_HGROUP_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListHostgroup(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListHostgroup");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_HGROUP_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_HGROUP_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_HGROUP_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_HGROUP_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_HGROUP_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_HGROUP_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListHostgroupFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListHostgroupFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_HGROUP_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListHostgroupFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListHostgroupFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_HGROUP_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModHostgroup(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModHostgroup");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_HGROUP_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_HGROUP_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_HGROUP_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_HGROUP_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_HGROUP_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_HGROUP_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModHostgroupFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModHostgroupFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_HGROUP_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModHostgroupFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModHostgroupFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_HGROUP_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddComplexEntry(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddComplexEntry");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CENTRY_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CENTRY_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CENTRY_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CENTRY_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CENTRY_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CENTRY_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddComplexEntryFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddComplexEntryFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CENTRY_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddComplexEntryFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddComplexEntryFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CENTRY_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelComplexEntry(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelComplexEntry");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CENTRY_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CENTRY_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CENTRY_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CENTRY_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CENTRY_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CENTRY_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelComplexEntryFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelComplexEntryFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CENTRY_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelComplexEntryFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelComplexEntryFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CENTRY_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListComplexEntry(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListComplexEntry");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CENTRY_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CENTRY_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CENTRY_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CENTRY_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CENTRY_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CENTRY_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListComplexEntryFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListComplexEntryFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CENTRY_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListComplexEntryFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListComplexEntryFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CENTRY_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModComplexEntry(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModComplexEntry");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CENTRY_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CENTRY_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CENTRY_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CENTRY_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CENTRY_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CENTRY_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModComplexEntryFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModComplexEntryFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CENTRY_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModComplexEntryFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModComplexEntryFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CENTRY_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModShareTree(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModShareTree");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_NEW_SHARETREE\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_NEW_SHARETREE)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_NEW_SHARETREE));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_NEW_SHARETREE\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_NEW_SHARETREE)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_NEW_SHARETREE));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModShareTreeFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModShareTreeFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_NEW_SHARETREE, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModShareTreeFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModShareTreeFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_NEW_SHARETREE);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddConfiguration(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddConfiguration");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CONFIG_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CONFIG_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CONFIG_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CONFIG_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CONFIG_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CONFIG_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddConfigurationFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddConfigurationFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CONFIG_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddConfigurationFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddConfigurationFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CONFIG_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelConfiguration(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelConfiguration");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CONFIG_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CONFIG_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CONFIG_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CONFIG_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CONFIG_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CONFIG_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelConfigurationFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelConfigurationFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CONFIG_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelConfigurationFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelConfigurationFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CONFIG_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListConfiguration(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListConfiguration");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CONFIG_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CONFIG_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CONFIG_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CONFIG_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CONFIG_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CONFIG_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListConfigurationFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListConfigurationFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CONFIG_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListConfigurationFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListConfigurationFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CONFIG_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModConfiguration(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModConfiguration");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_CONFIG_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_CONFIG_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_CONFIG_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_CONFIG_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_CONFIG_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_CONFIG_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModConfigurationFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModConfigurationFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_CONFIG_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModConfigurationFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModConfigurationFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_CONFIG_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddQueueInstance(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddQueueInstance");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_QINSTANCE_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_QINSTANCE_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_QINSTANCE_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_QINSTANCE_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_QINSTANCE_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_QINSTANCE_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddQueueInstanceFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddQueueInstanceFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_QINSTANCE_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddQueueInstanceFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddQueueInstanceFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_QINSTANCE_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelQueueInstance(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelQueueInstance");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_QINSTANCE_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_QINSTANCE_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_QINSTANCE_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_QINSTANCE_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_QINSTANCE_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_QINSTANCE_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelQueueInstanceFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelQueueInstanceFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_QINSTANCE_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelQueueInstanceFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelQueueInstanceFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_QINSTANCE_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModQueueInstance(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModQueueInstance");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_QINSTANCE_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_QINSTANCE_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_QINSTANCE_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_QINSTANCE_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_QINSTANCE_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_QINSTANCE_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModQueueInstanceFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModQueueInstanceFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_QINSTANCE_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModQueueInstanceFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModQueueInstanceFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_QINSTANCE_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddParallelEnvironment(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddParallelEnvironment");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PE_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PE_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PE_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PE_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PE_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PE_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddParallelEnvironmentFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddParallelEnvironmentFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PE_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddParallelEnvironmentFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddParallelEnvironmentFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PE_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelParallelEnvironment(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelParallelEnvironment");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PE_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PE_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PE_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PE_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PE_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PE_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelParallelEnvironmentFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelParallelEnvironmentFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PE_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelParallelEnvironmentFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelParallelEnvironmentFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PE_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListParallelEnvironment(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListParallelEnvironment");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PE_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PE_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PE_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PE_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PE_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PE_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListParallelEnvironmentFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListParallelEnvironmentFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PE_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListParallelEnvironmentFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListParallelEnvironmentFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PE_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModParallelEnvironment(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModParallelEnvironment");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PE_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PE_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PE_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PE_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PE_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PE_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModParallelEnvironmentFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModParallelEnvironmentFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PE_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModParallelEnvironmentFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModParallelEnvironmentFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PE_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddUser(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddUser");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_USER_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_USER_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_USER_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_USER_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_USER_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_USER_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddUserFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddUserFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_USER_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddUserFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddUserFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_USER_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelUser(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelUser");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_USER_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_USER_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_USER_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_USER_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_USER_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_USER_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelUserFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelUserFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_USER_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelUserFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelUserFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_USER_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListUser(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListUser");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_USER_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_USER_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_USER_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_USER_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_USER_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_USER_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListUserFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListUserFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_USER_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListUserFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListUserFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_USER_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModUser(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModUser");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_USER_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_USER_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_USER_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_USER_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_USER_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_USER_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModUserFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModUserFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_USER_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModUserFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModUserFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_USER_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddResourceQuotaSet(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddResourceQuotaSet");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_RQS_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_RQS_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_RQS_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_RQS_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_RQS_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_RQS_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddResourceQuotaSetFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddResourceQuotaSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_RQS_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddResourceQuotaSetFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddResourceQuotaSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_RQS_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelResourceQuotaSet(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelResourceQuotaSet");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_RQS_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_RQS_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_RQS_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_RQS_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_RQS_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_RQS_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelResourceQuotaSetFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelResourceQuotaSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_RQS_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelResourceQuotaSetFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelResourceQuotaSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_RQS_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListResourceQuotaSet(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListResourceQuotaSet");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_RQS_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_RQS_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_RQS_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_RQS_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_RQS_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_RQS_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListResourceQuotaSetFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListResourceQuotaSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_RQS_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListResourceQuotaSetFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListResourceQuotaSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_RQS_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModResourceQuotaSet(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModResourceQuotaSet");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_RQS_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_RQS_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_RQS_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_RQS_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_RQS_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_RQS_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModResourceQuotaSetFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModResourceQuotaSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_RQS_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModResourceQuotaSetFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModResourceQuotaSetFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_RQS_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddJobSchedulingInfo(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddJobSchedulingInfo");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_SCHEDD_INFO_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_SCHEDD_INFO_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_SCHEDD_INFO_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_SCHEDD_INFO_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_SCHEDD_INFO_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_SCHEDD_INFO_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddJobSchedulingInfoFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddJobSchedulingInfoFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_SCHEDD_INFO_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddJobSchedulingInfoFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddJobSchedulingInfoFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_SCHEDD_INFO_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelJobSchedulingInfo(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelJobSchedulingInfo");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_SCHEDD_INFO_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_SCHEDD_INFO_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_SCHEDD_INFO_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_SCHEDD_INFO_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_SCHEDD_INFO_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_SCHEDD_INFO_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelJobSchedulingInfoFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelJobSchedulingInfoFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_SCHEDD_INFO_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelJobSchedulingInfoFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelJobSchedulingInfoFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_SCHEDD_INFO_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListJobSchedulingInfo(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListJobSchedulingInfo");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_SCHEDD_INFO_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_SCHEDD_INFO_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_SCHEDD_INFO_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_SCHEDD_INFO_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_SCHEDD_INFO_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_SCHEDD_INFO_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListJobSchedulingInfoFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListJobSchedulingInfoFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_SCHEDD_INFO_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListJobSchedulingInfoFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListJobSchedulingInfoFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_SCHEDD_INFO_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModJobSchedulingInfo(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModJobSchedulingInfo");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_SCHEDD_INFO_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_SCHEDD_INFO_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_SCHEDD_INFO_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_SCHEDD_INFO_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_SCHEDD_INFO_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_SCHEDD_INFO_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModJobSchedulingInfoFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModJobSchedulingInfoFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_SCHEDD_INFO_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModJobSchedulingInfoFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModJobSchedulingInfoFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_SCHEDD_INFO_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddOperator(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddOperator");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_OPERATOR_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_OPERATOR_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_OPERATOR_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_OPERATOR_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_OPERATOR_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_OPERATOR_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddOperatorFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddOperatorFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_OPERATOR_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddOperatorFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddOperatorFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_OPERATOR_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelOperator(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelOperator");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_OPERATOR_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_OPERATOR_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_OPERATOR_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_OPERATOR_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_OPERATOR_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_OPERATOR_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelOperatorFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelOperatorFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_OPERATOR_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelOperatorFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelOperatorFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_OPERATOR_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListOperator(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListOperator");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_OPERATOR_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_OPERATOR_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_OPERATOR_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_OPERATOR_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_OPERATOR_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_OPERATOR_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListOperatorFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListOperatorFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_OPERATOR_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListOperatorFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListOperatorFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_OPERATOR_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModOperator(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModOperator");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_OPERATOR_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_OPERATOR_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_OPERATOR_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_OPERATOR_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_OPERATOR_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_OPERATOR_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModOperatorFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModOperatorFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_OPERATOR_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModOperatorFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModOperatorFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_OPERATOR_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModSchedConf(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModSchedConf");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_SCHED_CONF\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_SCHED_CONF)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_SCHED_CONF));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_SCHED_CONF\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_SCHED_CONF)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_SCHED_CONF));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModSchedConfFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModSchedConfFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_SCHED_CONF, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModSchedConfFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModSchedConfFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_SCHED_CONF);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddProject(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeAddProject");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PROJECT_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PROJECT_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PROJECT_ADD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PROJECT_ADD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PROJECT_ADD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PROJECT_ADD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddProjectFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetAddProjectFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PROJECT_ADD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddProjectFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetAddProjectFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PROJECT_ADD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelProject(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeDelProject");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PROJECT_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PROJECT_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PROJECT_DEL));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PROJECT_DEL\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PROJECT_DEL)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PROJECT_DEL));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelProjectFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetDelProjectFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PROJECT_DEL, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelProjectFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetDelProjectFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PROJECT_DEL);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListProject(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeListProject");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PROJECT_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PROJECT_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PROJECT_LIST));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PROJECT_LIST\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PROJECT_LIST)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PROJECT_LIST));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListProjectFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetListProjectFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PROJECT_LIST, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListProjectFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetListProjectFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PROJECT_LIST);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModProject(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeModProject");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_PROJECT_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_PROJECT_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_PROJECT_MOD));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_PROJECT_MOD\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_PROJECT_MOD)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_PROJECT_MOD));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModProjectFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetModProjectFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_PROJECT_MOD, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModProjectFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetModProjectFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_PROJECT_MOD);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeQmasterGoesDown(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeQmasterGoesDown");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_QMASTER_GOES_DOWN\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_QMASTER_GOES_DOWN)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_QMASTER_GOES_DOWN));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_QMASTER_GOES_DOWN\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_QMASTER_GOES_DOWN)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_QMASTER_GOES_DOWN));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetQmasterGoesDownFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetQmasterGoesDownFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_QMASTER_GOES_DOWN, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetQmasterGoesDownFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetQmasterGoesDownFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_QMASTER_GOES_DOWN);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeSchedulerRun(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeSchedulerRun");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_SCHEDDMONITOR\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_SCHEDDMONITOR)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_SCHEDDMONITOR));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_SCHEDDMONITOR\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_SCHEDDMONITOR)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_SCHEDDMONITOR));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetSchedulerRunFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetSchedulerRunFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_SCHEDDMONITOR, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetSchedulerRunFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetSchedulerRunFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_SCHEDDMONITOR);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeShutdown(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeShutdown");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_SHUTDOWN\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_SHUTDOWN)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_SHUTDOWN));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_SHUTDOWN\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_SHUTDOWN)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_SHUTDOWN));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetShutdownFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetShutdownFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_SHUTDOWN, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetShutdownFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetShutdownFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_SHUTDOWN);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeJobFinish(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeJobFinish");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_FINISH\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_FINISH)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_FINISH));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_FINISH\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_FINISH)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_FINISH));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetJobFinishFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetJobFinishFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_FINISH, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetJobFinishFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetJobFinishFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_FINISH);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeJobUsage(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeJobUsage");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_USAGE\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_USAGE)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_USAGE));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_USAGE\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_USAGE)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_USAGE));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetJobUsageFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetJobUsageFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_USAGE, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetJobUsageFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetJobUsageFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_USAGE);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeJobFinalUsage(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeJobFinalUsage");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_FINAL_USAGE\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_FINAL_USAGE)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_FINAL_USAGE));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_FINAL_USAGE\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_FINAL_USAGE)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_FINAL_USAGE));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetJobFinalUsageFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetJobFinalUsageFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_FINAL_USAGE, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetJobFinalUsageFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetJobFinalUsageFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_FINAL_USAGE);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeJobPriorityMod(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeJobPriorityMod");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_JOB_MOD_SCHED_PRIORITY\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_JOB_MOD_SCHED_PRIORITY)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_JOB_MOD_SCHED_PRIORITY));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_JOB_MOD_SCHED_PRIORITY\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_JOB_MOD_SCHED_PRIORITY)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_JOB_MOD_SCHED_PRIORITY));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetJobPriorityModFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetJobPriorityModFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_JOB_MOD_SCHED_PRIORITY, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetJobPriorityModFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetJobPriorityModFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_JOB_MOD_SCHED_PRIORITY);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeQueueInstanceSuspend(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeQueueInstanceSuspend");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_QINSTANCE_SOS\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_QINSTANCE_SOS)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_QINSTANCE_SOS));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_QINSTANCE_SOS\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_QINSTANCE_SOS)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_QINSTANCE_SOS));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetQueueInstanceSuspendFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetQueueInstanceSuspendFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_QINSTANCE_SOS, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetQueueInstanceSuspendFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetQueueInstanceSuspendFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_QINSTANCE_SOS);
   
   DEXIT;
   return result;
}


JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeQueueInstanceUnsuspend(JNIEnv *env, jobject evcobj, jboolean subscribe)
{
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSubscribeQueueInstanceUnsuspend");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (subscribe == true) {
      DPRINTF(("event client (%d) subscribes sgeE_QINSTANCE_USOS\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_subscribe(sge_evc, sgeE_QINSTANCE_USOS)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_subscribe %d failed", sgeE_QINSTANCE_USOS));
         DEXIT;
         return;
      }
   } else {
      DPRINTF(("event client (%d) unsubscribes sgeE_QINSTANCE_USOS\n", sge_evc->ec_get_id(sge_evc)));
      if (!sge_evc->ec_unsubscribe(sge_evc, sgeE_QINSTANCE_USOS)) {
         THROW_ERROR((env, JGDI_ERROR, "ec_unsubscribe %d failed", sgeE_QINSTANCE_USOS));
         DEXIT;
         return;
      }
   }
   DEXIT;
}

JNIEXPORT void JNICALL Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetQueueInstanceUnsuspendFlush(JNIEnv *env, jobject evcobj, jboolean flush, jint interval) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;

   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_EventClientImpl_nativeSetQueueInstanceUnsuspendFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return;
   }

   if (!sge_evc->ec_set_flush(sge_evc, sgeE_QINSTANCE_USOS, (bool)flush, (u_long32)interval) ) {
      THROW_ERROR((env, JGDI_ERROR, "ec_set_flush failed"));
      DEXIT;
      return;
   }

   DEXIT;
}

JNIEXPORT jint JNICALL Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetQueueInstanceUnsuspendFlush(JNIEnv *env, jobject evcobj) {
   
   lList *alp = NULL;
   sge_evc_class_t *sge_evc = NULL;
   jgdi_result_t ret = JGDI_SUCCESS;
   jint result = 0;
   DENTER(JGDI_LAYER, "Java_com_sun_grid_jgdi_jni_AbstractEventClient_nativeGetQueueInstanceUnsuspendFlush");

   if ((ret = getEVC(env, evcobj, &sge_evc, &alp)) != JGDI_SUCCESS) {
      throw_error_from_answer_list(env, ret, alp);
      DEXIT;
      return 0;
   }

   result = (jint)sge_evc->ec_get_flush(sge_evc, sgeE_QINSTANCE_USOS);
   
   DEXIT;
   return result;
}



jgdi_result_t process_generic_event(JNIEnv *env,  jobject *event, lListElem *ev, lList** alpp) {

   switch( lGetUlong(ev, ET_type)) {

      case sgeE_ADMINHOST_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/AdminHost", "AH_Type", AH_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_ADMINHOST_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/AdminHost", "AH_Type", AH_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_ADMINHOST_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/AdminHost", "AH_Type", AH_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_ADMINHOST_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/AdminHost", "AH_Type", AH_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_CQUEUE_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ClusterQueue", "CQ_Type", CQ_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_CQUEUE_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ClusterQueue", "CQ_Type", CQ_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_CQUEUE_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ClusterQueue", "CQ_Type", CQ_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_CQUEUE_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ClusterQueue", "CQ_Type", CQ_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_USERSET_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/UserSet", "US_Type", US_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_USERSET_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/UserSet", "US_Type", US_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_USERSET_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/UserSet", "US_Type", US_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_USERSET_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/UserSet", "US_Type", US_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_MANAGER_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Manager", "Manager_Type", Manager_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_MANAGER_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Manager", "Manager_Type", Manager_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_MANAGER_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Manager", "Manager_Type", Manager_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_MANAGER_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Manager", "Manager_Type", Manager_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_SUBMITHOST_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/SubmitHost", "SH_Type", SH_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_SUBMITHOST_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/SubmitHost", "SH_Type", SH_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_SUBMITHOST_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/SubmitHost", "SH_Type", SH_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_SUBMITHOST_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/SubmitHost", "SH_Type", SH_Type, SGE_EMA_ADD, ev, alpp);
      
      case sgeE_PETASK_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/PETask", "PET_Type", PET_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_PETASK_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/PETask", "PET_Type", PET_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_CKPT_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Checkpoint", "CK_Type", CK_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_CKPT_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Checkpoint", "CK_Type", CK_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_CKPT_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Checkpoint", "CK_Type", CK_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_CKPT_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Checkpoint", "CK_Type", CK_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_EXECHOST_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ExecHost", "EH_Type", EH_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_EXECHOST_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ExecHost", "EH_Type", EH_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_EXECHOST_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ExecHost", "EH_Type", EH_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_EXECHOST_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ExecHost", "EH_Type", EH_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_JOB_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Job", "JB_Type", JB_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_JOB_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Job", "JB_Type", JB_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_JOB_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Job", "JB_Type", JB_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_JOB_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Job", "JB_Type", JB_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_JATASK_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/JobTask", "JAT_Type", JAT_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_JATASK_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/JobTask", "JAT_Type", JAT_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_JATASK_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/JobTask", "JAT_Type", JAT_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_CALENDAR_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Calendar", "CAL_Type", CAL_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_CALENDAR_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Calendar", "CAL_Type", CAL_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_CALENDAR_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Calendar", "CAL_Type", CAL_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_CALENDAR_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Calendar", "CAL_Type", CAL_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_HGROUP_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Hostgroup", "HGRP_Type", HGRP_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_HGROUP_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Hostgroup", "HGRP_Type", HGRP_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_HGROUP_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Hostgroup", "HGRP_Type", HGRP_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_HGROUP_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Hostgroup", "HGRP_Type", HGRP_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_CENTRY_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ComplexEntry", "CE_Type", CE_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_CENTRY_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ComplexEntry", "CE_Type", CE_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_CENTRY_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ComplexEntry", "CE_Type", CE_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_CENTRY_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ComplexEntry", "CE_Type", CE_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_NEW_SHARETREE:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ShareTree", "STN_Type", STN_Type, SGE_EMA_MOD, ev, alpp);

      case sgeE_CONFIG_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Configuration", "CONF_Type", CONF_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_CONFIG_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Configuration", "CONF_Type", CONF_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_CONFIG_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Configuration", "CONF_Type", CONF_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_CONFIG_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Configuration", "CONF_Type", CONF_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_QINSTANCE_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/QueueInstance", "QU_Type", QU_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_QINSTANCE_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/QueueInstance", "QU_Type", QU_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_QINSTANCE_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/QueueInstance", "QU_Type", QU_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_PE_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ParallelEnvironment", "PE_Type", PE_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_PE_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ParallelEnvironment", "PE_Type", PE_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_PE_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ParallelEnvironment", "PE_Type", PE_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_PE_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ParallelEnvironment", "PE_Type", PE_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_USER_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/User", "User_Type", User_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_USER_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/User", "User_Type", User_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_USER_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/User", "User_Type", User_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_USER_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/User", "User_Type", User_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_RQS_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ResourceQuotaSet", "RQS_Type", RQS_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_RQS_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ResourceQuotaSet", "RQS_Type", RQS_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_RQS_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ResourceQuotaSet", "RQS_Type", RQS_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_RQS_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/ResourceQuotaSet", "RQS_Type", RQS_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_JOB_SCHEDD_INFO_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/JobSchedulingInfo", "SME_Type", SME_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_JOB_SCHEDD_INFO_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/JobSchedulingInfo", "SME_Type", SME_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_JOB_SCHEDD_INFO_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/JobSchedulingInfo", "SME_Type", SME_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_JOB_SCHEDD_INFO_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/JobSchedulingInfo", "SME_Type", SME_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_OPERATOR_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Operator", "Operator_Type", Operator_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_OPERATOR_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Operator", "Operator_Type", Operator_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_OPERATOR_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Operator", "Operator_Type", Operator_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_OPERATOR_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Operator", "Operator_Type", Operator_Type, SGE_EMA_ADD, ev, alpp);

      case sgeE_SCHED_CONF:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/SchedConf", "SC_Type", SC_Type, SGE_EMA_MOD, ev, alpp);

      case sgeE_PROJECT_MOD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Project", "Prj_Type", Prj_Type, SGE_EMA_MOD, ev, alpp);
      
      case sgeE_PROJECT_LIST:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Project", "Prj_Type", Prj_Type, SGE_EMA_LIST, ev, alpp);
      
      case sgeE_PROJECT_DEL:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Project", "Prj_Type", Prj_Type, SGE_EMA_DEL, ev, alpp);
      
      case sgeE_PROJECT_ADD:
         return create_generic_event(env, event,"com/sun/grid/jgdi/configuration/Project", "Prj_Type", Prj_Type, SGE_EMA_ADD, ev, alpp);
  
      default:
         answer_list_add_sprintf(alpp, STATUS_EUNKNOWN, ANSWER_QUALITY_ERROR, 
                                 "Event action not yet handled %d",  lGetUlong(ev, ET_type));
         return JGDI_ERROR;
   }

}

